> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Llm Analytics Config

> Get LLM analytics tool integration status



## OpenAPI

````yaml get /v1/analytics/llm
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/analytics/llm:
    get:
      tags:
        - LLM Analytics
      summary: Get Llm Analytics Config
      description: Get LLM analytics tool integration status
      operationId: get_llm_analytics_config_v1_analytics_llm_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LLMAnalyticsGetResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    LLMAnalyticsGetResponse:
      properties:
        active:
          type: boolean
          title: Active
          default: false
        mask_pii:
          type: boolean
          title: Mask Pii
          default: false
        host_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Host Uri
        config_json:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config Json
      type: object
      title: LLMAnalyticsGetResponse
      description: Response model for GET request
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````